@echo off
REM
REM  make_Sample2Lex : create source files Sample2Lex.cpp Sample2Lex.h from tests\cpp_hello\sample2.uld
REM  Written by Stanley J. Hong <link2next@gmail.com>, Jan 2018.
REM

setlocal

set ULC_FILE=..\..\..\tests\cpp_hello\sample2.uld

if not exist "%ULC_FILE%" (
	echo %ULC_FILE%: Not Exist!
	goto end_0
)

set ULC2CLASS_FPATH=
for /F "tokens=*" %%a in ('where ulc2class') do set ULC2CLASS_FPATH=%%a

if "%ULC2CLASS_FPATH%" == ""  (
	echo ulc2class: Not Found!
	goto end_0
)

echo creating cpp class defintion files from %ULC_FILE% ...

ulc2class -lcpp -n AAA.BBB.Sample2Lex -f Sample2Lex %ULC_FILE%

:end_0
pause
endlocal
